﻿using System;
using System.Diagnostics;
using System.IO;
using System.Windows;
using Telerik.Windows.Documents.Fixed.FormatProviders.Pdf;
using Telerik.Windows.Documents.Fixed.Model;
using Telerik.Windows.Documents.Fixed.Model.ColorSpaces;
using Telerik.Windows.Documents.Fixed.Model.Editing;

namespace AddCommentInPdfDemo
{
    class Program
    {
        static void Main(string[] args)
        {
            PdfFormatProvider provider = new PdfFormatProvider();
            RadFixedDocument document = provider.Import(File.ReadAllBytes("import.pdf"));

            int pageNumber = 1;
            Size ellipseSize = new Size(200, 100);

            foreach (RadFixedPage page in document.Pages)
            {
                FixedContentEditor pageEditor = new FixedContentEditor(page);

                // Draw yellow ellipse.
                pageEditor.GraphicProperties.FillColor = new RgbColor(200, 255, 255, 0);
                pageEditor.Position.Translate(page.Size.Width / 2 - ellipseSize.Width / 2, page.Size.Height / 2 - ellipseSize.Height / 2);
                pageEditor.DrawEllipse(new Point(ellipseSize.Width / 2, ellipseSize.Height / 2), ellipseSize.Width, ellipseSize.Height);

                // Draw comment text
                Block block = new Block();
                block.InsertText(string.Format("Page {0}", pageNumber++));
                block.VerticalAlignment = Telerik.Windows.Documents.Fixed.Model.Editing.Flow.VerticalAlignment.Center;
                block.HorizontalAlignment = Telerik.Windows.Documents.Fixed.Model.Editing.Flow.HorizontalAlignment.Center;
                pageEditor.DrawBlock(block, ellipseSize);
            }
            
            string exportFileName = "export.pdf";

            if (File.Exists(exportFileName))
            {
                File.Delete(exportFileName);
            }

            File.WriteAllBytes(exportFileName, provider.Export(document));
            Process.Start(exportFileName);
        }
    }
}
